<?php
/*------------------------------------------------------+
| PHP-Fusion Content Management System                  |
| Copyright (C) 2002 - 2011 Nick Jones                  |
| http://www.php-fusion.co.uk/                          |
+-------------------------------------------------------+
| This program is released as free software under the   |
| Affero GPL license. You can redistribute it and/or    |
| addonify it under the terms of this license which you |
| can read by viewing the included agpl.txt or online   |
| at http://www.gnu.org/licenses/agpl.html.             |
| Removal of this copyright header is strictly          |
| prohibited without written permission from the        |
| original author(s).                                   |
+------------------------------------------------------*/
/*------------------------------------------------------+
|      Black and green theme for PHP-Fusion v7          |
+-------------------------------------------------------+
| Filename: theme.php                                   |
| Author: Vlad Fagarasanu (Faga)                        |
| Homepage: http://osthemes.org                         |
+-------------------------------------------------------+
| This theme is released under the terms and conditions |
| of the GNU Affero GPL v3.                             |
+------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

//Define
define("THEME_BULLET", "<span class='bullet'>&middot;</span>");
define("THEME_BULLET2", "&#45;");

//Forum iconsand buttons
set_image("up",  THEME."images/up.png");
set_image("down",  THEME."images/down.png");
set_image("left", THEME."images/left.png");
set_image("right",  THEME."images/right.png");
set_image("folder",  THEME."forum/folder.png");
set_image("foldernew",  THEME."forum/foldernew.png");
set_image("folderlock",  THEME."forum/folderlock.png");
set_image("stickythread",  THEME."forum/stickythread.png");
set_image("pollbar", THEME."images/hover.png");
set_image("newthread",  THEME."forum/new-thread.png");
set_image("reply", THEME."forum/reply.png");

//Require
require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {
	
	global $settings, $main_style, $locale;

	//Header
	echo "<table class='top-header' align='center' cellpadding='0' cellspacing='0' width='100%' >\n";
	echo "<tr>\n";
	echo "<td align='center'>".showsublinks(" ".THEME_BULLET2." ", "")."&#45;</td>\n";
    echo "</tr>\n</table>\n";
	echo "<div class='full-header'>";
	echo "<table class='banner-top' align='center' cellpadding='0' cellspacing='0' width='100%'>\n";
	echo "<tr>\n";
    echo "<td>".showbanners()."</td>\n";
	echo "</tr>\n</table>\n";
	echo "</div>";
		
	//Content
	echo "<table cellpadding='0' cellspacing='0' width='1000'  align='center' class='$main_style'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";

	//Footer
	echo "<div class='footer' >\n";
	echo "<table class='footer-text' align='center' cellpadding='0' cellspacing='0' width='1000'>\n<tr>\n";
	echo "<td align='left'>
	Powered by <a href='http://www.php-fusion.co.uk' target='_blank'>PHP-Fusion</a> copyright &copy; 2002 - 2011 by Nick Jones.<br />
	Released as free software without warranties under <a href='http://www.fsf.org/licensing/licenses/agpl-3.0.html' target='_blank'>GNU Affero GPL</a> v3.
	<br /><br />
	Theme by <a href='http://www.osthemes.org' target='_blank'>OSThemes.org</a>
	</td>\n";
	echo "<td align='right'>".stripslashes($settings['footer']);
	if (!$license)
	echo "</td>\n</tr>\n</table>\n";
	echo "</div>\n";
	echo "<div class='bottom-footer' >\n";
	echo "<table class='bottom-footer-text' align='center' cellpadding='0' cellspacing='0' width='1000'>\n";
	echo "<tr>\n";
    echo "<td align='left'>".showcounter()."</td>\n";
    echo "<td align='right'>".sprintf($locale['global_172'], substr((get_microtime() - START_TIME),0,4))."</td>\n";
  	echo "</tr>\n</table>\n";
	echo "</div>\n";
}
	
//News
function render_news($subject, $news, $info) {
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-news'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
    echo "<td class='main-body middle-border'>".$news."</td>\n</tr>\n";
	echo "<tr>\n<td align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n</tr>\n</table>\n";
}

//Article
function render_article($subject, $article, $info) {
	echo "<table cellpadding='0' cellspacing='0' width='100%' >\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
    echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
 	echo "</tr>\n<tr>\n";
    echo "<td align='center' class='article-footer middle-border'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";
}

//Opentable
	function opentable($title) {
	echo "<table cellpadding='0' cellspacing='0' width='100%' >\n<tr>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
    echo "<td class='main-body'>\n";
}
function closetable() {
	echo "</td>\n</tr>\n</table>\n";
}
	
//Openside
function openside($title, $collapse = false, $state = "on") {
	
	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%' >\n<tr>\n";
   	echo "<td class='scapmain' width='100%'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
}
  	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
    echo "<td class='side-body' >\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }
}
function closeside($state = "on") {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n";
	echo "</tr>\n";
	echo"<tr>\n<td></td>\n</tr>\n</table>\n";
}
?>